﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek THS700 (1 yr) DCV VER RS-232 /5500+S6
INSTRUMENT:            Sub Tek THS700 (1 yr) Sample Rate VER RS-232 /5500+S6
INSTRUMENT:            Sub Tek THS700 (1 yr) Bandwidth VER RS-232 /5500+S6
INSTRUMENT:            Sub Tek THS700 (1 yr) Trig Sens VER RS-232 /5500+S6
DATE:                  2010-10-19 08:05:39
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       352
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        THS710, THS720
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek THS700 Select Channel RS-232
#        Sub Tek THS700 Trigger Chk and Level Adj RS-232
#        Sub Tek THS700 Scope Measure RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Reset the UUT and restore to factory setting.
  1.001  PORT         *CLS;*RST;:CLEARM;:HEADER OFF;*OPC?[I!]
  1.002  CALL         Sub Tek THS700 Select Channel RS-232

  1.003  JMPL         DCV                          PSUBI("DCV")
  1.004  JMPL         SAMPLE_RATE                  PSUBI("Sample")
  1.005  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.006  JMPL         TRIGGER_SENS                 PSUBI("Trig Sens")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# ********************** DC VOLTAGE ************************************

  2.001  LABEL        DCV
  2.002  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =SCOPE DCV MEASUREMENT ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]

  2.009  MATH         Conf5500A = CONF("Fluke 5500A")

  2.010  HEAD         -2 5 mV/div
  2.011  TARGET       -p
  2.012  PORT         ACQ:MOD SAM;NUMAV 16
  2.013  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  2.014  PORT         CH[V @Chan]:SCA 5E-3
  2.015  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP MEAN;STATE ON;*OPC?[I!]
  2.016  TARGET       -m
  2.017  5500         17.5mV                                         S6 S
  2.018  MATH         PosAcc = REFACC()
  2.019  WAIT         -t 6 System Settling...
  2.020  CALL         Sub Tek THS700 Scope Measure RS-232
  2.021  MATH         PosValue = @SCOPE_Meas / 1E-3
  2.022  5500         -17.5mV                                        S6 S
  2.023  MATH         NegAcc = REFACC()
  2.024  WAIT         -t 6 System settling...
  2.025  CALL         Sub Tek THS700 Scope Measure RS-232
  2.026  MATH         NegValue = @SCOPE_Meas / 1E-3
# RSS, normalize, and convert to millivolts.
  2.027  MATH         L[1] = (RSS2(PosAcc, NegAcc) / Conf5500A * 2) / 1E-3
  2.028  ACC          35.00mV        L1U
  2.029  MATH         MEM = PosValue - NegValue
  2.030  MEMCX        35.00mV        0.95U

  3.001  HEAD         -2 500 mV/div
  3.002  TARGET       -p
  3.003  PORT         CH[V @Chan]:SCA 5E-1;*OPC?[I!]
  3.004  TARGET       -m
  3.005  5500         1.75V                                          S6 S
  3.006  MATH         PosAcc = REFACC()
  3.007  WAIT         -t 6 System Settling...
  3.008  CALL         Sub Tek THS700 Scope Measure RS-232
  3.009  MATH         PosValue = @SCOPE_Meas
  3.010  5500         -1.75V                                         S6 S
  3.011  MATH         NegAcc = REFACC()
  3.012  WAIT         -t 6 System settling...
  3.013  CALL         Sub Tek THS700 Scope Measure RS-232
  3.014  MATH         NegValue = @SCOPE_Meas
  3.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf5500A * 2
  3.016  ACC          3.500V         L1U
  3.017  MATH         MEM = PosValue - NegValue
  3.018  MEMCX        3.500V         0.095U

  4.001  HEAD         -2 2 V/div
  4.002  TARGET       -p
  4.003  PORT         CH[V @Chan]:SCA 2;*OPC?[I!]
  4.004  TARGET       -m
  4.005  5500         7.00V                                          S6 S
  4.006  MATH         PosAcc = REFACC()
  4.007  WAIT         -t 6 System Settling...
  4.008  CALL         Sub Tek THS700 Scope Measure RS-232
  4.009  MATH         PosValue = @SCOPE_Meas
  4.010  5500         -7.00V                                         S6 S
  4.011  MATH         NegAcc = REFACC()
  4.012  WAIT         -t 6 System settling...
  4.013  CALL         Sub Tek THS700 Scope Measure RS-232
  4.014  MATH         NegValue = @SCOPE_Meas
  4.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf5500A * 2
  4.016  ACC          14.00V         L1U
  4.017  MATH         MEM = PosValue - NegValue
  4.018  MEMCX        14.00V         0.38U

  5.001  HEAD         -2 10 V/div
  5.002  TARGET       -p
  5.003  PORT         CH[V @Chan]:SCA 10;*OPC?[I!]
  5.004  TARGET       -m
  5.005  5500         35V                                            S6 S
  5.006  MATH         PosAcc = REFACC()
  5.007  WAIT         -t 6 System Settling...
  5.008  CALL         Sub Tek THS700 Scope Measure RS-232
  5.009  MATH         PosValue = @SCOPE_Meas
  5.010  5500         -35V                                           S6 S
  5.011  MATH         NegAcc = REFACC()
  5.012  WAIT         -t 6 System settling...
  5.013  CALL         Sub Tek THS700 Scope Measure RS-232
  5.014  MATH         NegValue = @SCOPE_Meas
  5.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / Conf5500A * 2
  5.016  ACC          70.0V          L1U
  5.017  MATH         MEM = PosValue - NegValue
  5.018  MEMCX        70.0V          1.9U

  6.001  HEAD         -2
  6.002  HEAD
  6.003  5500         *                                                 S
  6.004  END

  6.005  EVAL   Increment step number

# ********************** SAMPLE RATE ************************************

  7.001  LABEL        SAMPLE_RATE
  7.002  RSLT         =
  7.003  RSLT         =SAMPLE RATE AND DELAY TIME ACCURACY
  7.004  TARGET
  7.005  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  7.006  PORT         CH1:SCA 500E-3;*OPC?[I!]
  7.007  5500         10mT                                        M2 S6 S  L
  7.008  WAIT         [D1000]
  7.009  PORT         TRIG:MAI SETL
  7.010  PORT         HOR:TRIG:POS 50
  7.011  PORT         HOR:DEL:MOD RUNSA;SCA 500E-3;TIM 10E-3;SCA 500E-9
  7.011  PORT         *OPC?[I!]
  7.012  MESS         Does the rising edge of the marker cross the center
  7.012  MESS         horizontal graticule line within ±4 divisions of
  7.012  MESS         center graticule?
  7.013  MEM2         = Limit : ±4 div @1 µs/div, 10 ms delay time
  7.014  EVAL   -s MEM2 :

  8.001  MESS
  8.002  HEAD
  8.003  5500         *                                                 S
  8.004  END

  8.005  EVAL   Increment step number

# ********************** BANDWIDTH ************************************

  9.001  LABEL        BANDWIDTH

  9.002  IF           @Chan == 1
  9.003  RSLT         =
  9.004  RSLT         =BANDWIDTH
  9.005  ENDIF

  9.006  RSLT         =
  9.007  RSLT         =Channel [V @Chan]
  9.008  HEAD         BANDWIDTH (CH [V @Chan]): 100 mV/div
  9.009  TARGET
  9.010  PORT         ACQ:MOD SAM;NUMAV 16
  9.011  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  9.012  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
  9.013  PORT         CH[V @Chan]:SCA 100E-3
  9.014  PORT         HOR:FIT OFF;MAIN:SCA 10E-6
  9.015  PORT         MEASU:METH MINM
  9.016  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2;STATE ON;*OPC?[I!]

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 600 mV.
  9.017  MATH         Target_mVpp = 600
  9.018  MATH         MEM = Target_mVpp; MEM1 = MEM

  9.019  DO
  9.020  MATH         MEM = MEM1 + (Target_mVpp - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.021  IF           MEM > 950 || MEM < 200
  9.022  MATH         MEM = Target_mVpp
  9.023  ENDIF

  9.024  5500         mVpp                         50kH           LS S6 S  L
  9.025  WAIT         -t 6 UUT Setting...
  9.026  CALL         Sub Tek THS700 Scope Measure RS-232
  9.027  MATH         MEM = @SCOPE_Meas / 1E-3
  9.028  UNTIL        (MEM >= 597) && (MEM <= 603)

# Last calibrator amplitude setting is in MEM1.
  9.029  MATH         MEM = MEM1
  9.030  PORT         HOR:MAIN:SCA 10E-9;*OPC?[I!]

  9.031  IF           @Bandwidth == 100E+6
  9.032  PORT         HOR:SCA 10E-9;*OPC?[I!]
  9.033  5500         mVpp                         100MH          LS S6 S  L
  9.034  ELSEIF       @Bandwidth == 60E+6
  9.035  PORT         HOR:SCA 1E-9;*OPC?[I!]
  9.036  5500         mVpp                         60MH           LS S6 S  L
  9.037  ELSE
  9.038  DISP         Unsupported bandwidth [V @Bandwidth].
  9.038  DISP
  9.038  DISP         @Bandwidth must be 60E+6 or 100E+6.
  9.039  END
  9.040  ENDIF

  9.041  WAIT         -t 6 System settling...
  9.042  CALL         Sub Tek THS700 Scope Measure RS-232
  9.043  MATH         MEM = @SCOPE_Meas / 1E-3
  9.044  MATH         RsltStr = FMT(MEM, "%.1f") & " mVpp"
  9.045  MATH         RsltStr = " Bound >= 425 mVpp, result: " & RsltStr
  9.046  EVAL   -e MEM >= 425 : [V RsltStr]

 10.001  HEAD
 10.002  5500         *                                                 S
 10.003  END

 10.004  EVAL   Increment step number

# ********************** TRIGGER SENSITIVITY ****************************

 11.001  LABEL        TRIGGER_SENS

 11.002  IF           @Chan == 1
 11.003  RSLT         =
 11.004  RSLT         =EDGE TRIGGER SENSITIVITY
 11.005  ENDIF

 11.006  RSLT         =
 11.007  RSLT         =Channel [V @Chan]
 11.008  HEAD         TRIGGER SENSITIVITY (CH [V @Chan])
 11.009  HEAD         -2 Rising Slope
 11.010  TARGET
 11.011  PORT         ACQ:MOD SAM;NUMAV 16
 11.012  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan]
 11.013  PORT         TRIGGER:MAI:EDGE:SLO RIS
 11.014  PORT         CH[V @Chan]:PROB:UNIT VOL;VOLTSCALE 1
 11.015  PORT         CH[V @Chan]:SCA 500E-3
 11.016  PORT         HOR:FIT OFF;MAIN:SCA 10E-9
 11.017  PORT         MEASU:METH MINM
 11.018  PORT         MEASU:MEAS1:SOU CH[V @Chan];TYP AMPL;STATE ON;*OPC?[I!]

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV.
 11.019  MATH         Target_mVpp = 500
 11.020  MATH         MEM = Target_mVpp; MEM1 = MEM

 11.021  DO
 11.022  MATH         MEM = MEM1 + (Target_mVpp - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 11.023  IF           MEM > 740 || MEM < 250
 11.024  MATH         MEM = Target_mVpp
 11.025  ENDIF

 11.026  IF           @Bandwidth == 100E+6
 11.027  5500         mVpp                         100MH          LS S6 S  L
 11.028  ELSEIF       @Bandwidth == 60E+6
 11.029  5500         mVpp                         60MH           LS S6 S  L
 11.030  ELSE
 11.031  DISP         Unsupported bandwidth [V @Bandwidth].
 11.031  DISP
 11.031  DISP         @Bandwidth must be 60E+6 or 100E+6.
 11.032  END
 11.033  ENDIF

# Store the calibrator output value.
 11.034  MATH         CalOutVal = MEM1
 11.035  WAIT         -t 3 UUT Setting...
 11.036  PORT         TRIG:MAI SETL;*OPC?[I!]
 11.037  CALL         Sub Tek THS700 Scope Measure RS-232
 11.038  MATH         MEM = @SCOPE_Meas / 1E-3
 11.039  UNTIL        (MEM >= 485) && (MEM <= 515)

 11.040  MATH         @PeakVal = MEM / 2
 11.041  CALL         Sub Tek THS700 Trigger Chk and Level Adj RS-232
 11.042  EVAL   -e @Triggered : Rising Slope, Stable Trigger

 12.001  HEAD         -2 Falling Slope
 12.002  TARGET
# Set the UUT trigger at fall edge.
 12.003  PORT         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
# Restore the calibrator value.
 12.004  MATH         MEM = CalOutVal

 12.005  IF           @Bandwidth == 100E+6
 12.006  5500         mVpp                         100MH          LS S6 S  L
 12.007  ELSEIF       @Bandwidth == 60E+6
 12.008  5500         mVpp                         60MH           LS S6 S  L
 12.009  ENDIF

 12.010  WAIT         [D3000]
 12.011  CALL         Sub Tek THS700 Scope Measure RS-232
 12.012  MATH         @PeakVal = @SCOPE_Meas / 2
 12.013  CALL         Sub Tek THS700 Trigger Chk and Level Adj RS-232
 12.014  EVAL   -e @Triggered : Falling Slope, Stable Trigger

 13.001  HEAD         -2
 13.002  HEAD
 13.003  5500         *                                                 S
 13.004  END
